# cordova-plugin-context-menu-state

# ContextMenuState

> The `ContextMenuState` object controls the visibilty of iOS context menus, i.e. the Cut/Copy/Paste menu.

> By default, installation of this plugin hides the context menu.

:warning: Report any issues on the [`ContextMenuState` issue tracker](https://github.com/mtechaccess/cordova-plugin-context-menu-state/issues)

## Installation

This installation method requires cordova 5.0+

```bash
cordova plugin add cordova-plugin-context-menu-state
```

It possible to install via repo url directly.

```bash
cordova plugin add https://github.com/mtechaccess/cordova-plugin-context-menu-state.git
```

## Methods

This plugin defines the global `ContextMenuState` object.

Although in the global scope, it is not available until after the `deviceready` event.

```javascript
document.addEventListener("deviceready", onDeviceReady, false);
function onDeviceReady() {
    console.log(ContextMenuState);
    ContextMenuState.setVisible(true);
}
```

* ContextMenuState.setVisible

### setVisible

On iOS, show or hide the context menu:

```javascript
ContextMenuState.setVisible(true);
ContextMenuState.setVisible(false);
```

#### Supported Platforms

* iOS
